package com.ruoyi.common.pay.yst.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 云商通证件类型
 * @author wjh
 * 2024/8/3
 */
@Getter
@AllArgsConstructor
public enum YstCertType {

    ID_CARD("身份证", "1", "0", "0"),
    PASSPORT("护照", "2", "2", "2"),
    OFFICER_CARD("军官证", "3", "3", "3"),
    RETURN_CARD("回乡证", "4", null, null),
    TAIWAN_PASS("台湾通行证", "5", "6", "6"),
    POLICE_CARD("警官证", "6", "9", "9"),
    SOLDIER_CARD("士兵证", "7", "4", "4"),
    HOUSEHOLD_CARD("户口簿", "8", "1", "1"),
    HK_PASS("港澳居民来往内地通行证", "9", "5", "5"),
    TEMP_CARD("临时身份证", "10", "7", "7"),
    FOREIGNER_CARD("外国人居留证", "11", "8", "8"),
    HK_TW_CARD("港澳台居民居住证", "12", null, null),
    OTHER_CARD("其它证件", "99", null, null);

    private final String name;  // 名称
    private final String type;  // 类型
    private final String syb;   // 收银宝取值
    private final String sft;   // 应付通取值

}
